
Foreman - Bug #22282

Invalid Ovirt compute resource is saved from API

01/16/2018 11:26 AM - Ido Kanner

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Compute resources - oVirt   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5199

  

Description

Creating an ovirt compute resource from the API does not run test_connections.

This allows to save the compute_resource with the wrong user/password.

When trying to display the compute_resource in the UI there is an exception.

Associated revisions

Revision 223383f5 - 02/26/2018 12:37 PM - Ori Rabin

Fixes #22282 - Test oVirt connection before save

History

#1 - 01/22/2018 03:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ori Rabin

- Pull request https://github.com/theforeman/foreman/pull/5199 added

#2 - 02/26/2018 01:02 PM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 223383f5aaa46ee870345f62a651c91005bdae19.

#3 - 02/26/2018 05:43 PM - Marek Hulán

- translation missing: en.field_release set to 330
